# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: rag.proto
# Protobuf Python Version: 5.26.1
"""Generated protocol buffer code."""

from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import symbol_database as _symbol_database
from google.protobuf.internal import builder as _builder
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(
    b'\n\trag.proto"\x07\n\x05\x45mpty"\x19\n\tLLMConfig\x12\x0c\n\x04temp\x18\x01 \x01(\x01"L\n\x0bPromptInput\x12\x0e\n\x06system\x18\x01 \x01(\t\x12\x0c\n\x04user\x18\x02 \x01(\t\x12\x0f\n\x07\x63ontext\x18\x03 \x01(\t\x12\x0e\n\x06prompt\x18\x04 \x01(\t" \n\x0cUserQuestion\x12\x10\n\x08question\x18\x01 \x01(\t"\x17\n\x07\x43onvoID\x12\x0c\n\x04q_id\x18\x01 \x01(\t"t\n\x08LLMQuery\x12\x1a\n\x06\x63onfig\x18\x01 \x01(\x0b\x32\n.LLMConfig\x12\x1b\n\x05input\x18\x02 \x01(\x0b\x32\x0c.PromptInput\x12\x19\n\x02qa\x18\x03 \x01(\x0b\x32\r.UserQuestion\x12\x14\n\x02id\x18\x04 \x01(\x0b\x32\x08.ConvoID"/\n\tLLMAnswer\x12\x0c\n\x04text\x18\x01 \x01(\t\x12\x14\n\x02id\x18\x02 \x01(\x0b\x32\x08.ConvoID"\x19\n\x06Status\x12\x0f\n\x07message\x18\x01 \x01(\t2g\n\nRAGService\x12)\n\x12instruct_llm_query\x12\x06.Empty\x1a\t.LLMQuery0\x01\x12.\n\x15retrieve_llm_response\x12\n.LLMAnswer\x1a\x07.Status(\x01\x62\x06proto3'
)

_globals = globals()
_builder.BuildMessageAndEnumDescriptors(DESCRIPTOR, _globals)
_builder.BuildTopDescriptorsAndMessages(DESCRIPTOR, "rag_pb2", _globals)
if not _descriptor._USE_C_DESCRIPTORS:
    DESCRIPTOR._loaded_options = None
    _globals["_EMPTY"]._serialized_start = 13
    _globals["_EMPTY"]._serialized_end = 20
    _globals["_LLMCONFIG"]._serialized_start = 22
    _globals["_LLMCONFIG"]._serialized_end = 47
    _globals["_PROMPTINPUT"]._serialized_start = 49
    _globals["_PROMPTINPUT"]._serialized_end = 125
    _globals["_USERQUESTION"]._serialized_start = 127
    _globals["_USERQUESTION"]._serialized_end = 159
    _globals["_CONVOID"]._serialized_start = 161
    _globals["_CONVOID"]._serialized_end = 184
    _globals["_LLMQUERY"]._serialized_start = 186
    _globals["_LLMQUERY"]._serialized_end = 302
    _globals["_LLMANSWER"]._serialized_start = 304
    _globals["_LLMANSWER"]._serialized_end = 351
    _globals["_STATUS"]._serialized_start = 353
    _globals["_STATUS"]._serialized_end = 378
    _globals["_RAGSERVICE"]._serialized_start = 380
    _globals["_RAGSERVICE"]._serialized_end = 483
# @@protoc_insertion_point(module_scope)
